From 5da67255d6eb99af601770f6903c2a83729fe2e4 Mon Sep 17 00:00:00 2001
From: tteckster <tteckster@gmail.com>
Date: Tue, 18 Jul 2023 06:28:30 -0400
Subject: [PATCH] Update archlinux.sh

update PVE_CHECK
fixes https://github.com/tteck/Proxmox/issues/1625
---
 ct/archlinux.sh | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/ct/archlinux.sh b/ct/archlinux.sh
index 55067dab..f7b8e6cc 100644
--- a/ct/archlinux.sh
+++ b/ct/archlinux.sh
@@ -65,13 +65,13 @@ function msg_error() {
 }
 
 function PVE_CHECK() {
-if [ $(pveversion | grep -c "pve-manager/7\.[0-9]") -eq 0 ]; then
-  echo -e "${CROSS} This version of Proxmox Virtual Environment is not supported"
-  echo -e "Requires PVE Version 7.0 or higher"
-  echo -e "Exiting..."
-  sleep 2
-exit
-fi
+  if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+    echo -e "${CROSS} This version of Proxmox Virtual Environment is not supported"
+    echo -e "Requires PVE Version 7.2 or higher"
+    echo -e "Exiting..."
+    sleep 2
+    exit
+  fi
 }
 function ARCH_CHECK() {
 if [ "$(dpkg --print-architecture)" != "amd64" ]; then